<?php
  /*
    Plugin Name: Legal and General SmartrFit Affordability Calculator
    Version: 2
    Author: Legal & General - Riaan Joubert
    Description: Add a plugin to your page that will authenticate with the SmartrFit API and load the Affordability Calculator page in an iFrame.
  */

  include(plugin_dir_path( __FILE__ ) . 'iframe-script.php');
  include(plugin_dir_path( __FILE__ ) . 'options-page.php');
  include(plugin_dir_path( __FILE__ ) . 'map-to-crm.php');
  include(plugin_dir_path( __FILE__ ) . 'test_credentials.php');
  include(plugin_dir_path( __FILE__ ) . 'test_crm_credentials.php');

  /*
  * wp deactivate
  */
  function deactivate() {
    unregister_setting('mc_pluginPage', 'MC_settings');
    delete_option('MC_settings');
  }

  function lg_plugin_action_links($links, $file) {
    $plugin_file = basename(__FILE__);
    $file = basename($file);
    if ($file === $plugin_file) {
      $settings_link = '<a href="options-general.php?page=' . $plugin_file . '">' . __('Settings', 'mc-affordability') . '</a>';
      array_unshift($links, $settings_link);
    }
    return $links;
  }

  $mcSettings = get_option('MC_settings');
  $options = array(
    'MC_client_id' => $mcSettings['MC_client_id'] ?? '',
    'MC_client_secret' => $mcSettings['MC_client_secret'] ?? '',
    'MC_environment' => $mcSettings['MC_environment'] ?? '',
    'MC_results_email' => $mcSettings['MC_results_email'] ?? '',
    'MC_redirect_url' => $mcSettings['MC_redirect_url'] ?? '',
    'MC_color' => $mcSettings['MC_color'] ?? '',
    'MC_new_build' => $mcSettings['MC_new_build'] ?? '',
    'MC_CRM_system' => $mcSettings['MC_CRM_system'] ?? '',
    'MC_S365_API_key' => $mcSettings['MC_S365_API_key'] ?? '',
    'MC_S365_organisation_id' => $mcSettings['MC_S365_organisation_id'] ?? '',
    'MC_OMS_API_user' => $mcSettings['MC_OMS_API_user'] ?? '',
    'MC_OMS_base_64' => $mcSettings['MC_OMS_base_64'] ?? '',
    'MC_OMS_aud' => $mcSettings['MC_OMS_aud'] ?? '',
    'MC_OMS_broker_email' => $mcSettings['MC_OMS_broker_email'] ?? '',
    'MC_OMS_workflow_name' => $mcSettings['MC_OMS_workflow_name'] ?? '',
  );
  update_option( 'MC_settings', $options, true);
  $mcSettings = $options;

  add_shortcode('mc_affordability', 'iframe_script');
  add_filter('plugin_action_links', 'lg_plugin_action_links', 10, 2);
  register_deactivation_hook(__FILE__, 'deactivate');
  add_action('admin_menu', 'MC_add_admin_menu');
  add_action('admin_init', 'MC_settings_init');
  add_action('rest_api_init', 'add_custom_crm_post' );
  add_action('rest_api_init', 'add_custom_test_credentials_post' );
  add_action('rest_api_init', 'add_custom_test_crm_credentials_post' );
?>
